- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Prefs_Item_Iface_Info Struct Reference

Convenience struct used to mass-register widgets implementing prefs items interfaces. More...

## Data Fields
const char * | widget_name
| The name of the widget implementing the interface, to be exposed on the prefs collections language. More...
const Elm_Prefs_Item_Iface * | info
| The type interface's implementation. More...

## Detailed Description

Convenience struct used to mass-register widgets implementing prefs items interfaces.

To be used with elm_prefs_item_iface_register() and elm_prefs_item_iface_unregister().

## Field Documentation

const Elm_Prefs_Item_Iface* _Elm_Prefs_Item_Iface_Info::info

The type interface's implementation.

const char* _Elm_Prefs_Item_Iface_Info::widget_name

The name of the widget implementing the interface, to be exposed on the prefs collections language.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15